<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:landxml="http://www.landxml.org/schema/LandXML-1.2"  xmlns:n1="http://www.landxml.org/schema/LandXML-1.2" xmlns:hexagon="http://xml.hexagon.com/schema/HeXML-1.6" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="fileExt" select="'html'"/>
<xsl:variable name="fileDesc" select="'Reference Line cutsheet.  Annotation1 field is used'"/>
<xsl:template match="/">
 
<html>
<head>
<title>Leica SmartWorx Viva RefLine Staked Points Report</title>

</head>
<body>

<h2>Reference Line Cut Sheet</h2>



<table border="1">
<tr bgcolor="#f2f2f2"><!-- Color of top row in table.-->
<!-- table headings.-->
<th><b>Point ID</b></th><!-- Table headers.-->
<th><b>Stake Elevation</b></th>
<th><b>Cut/Fill</b></th>
<th><b>Grade Elevation</b></th>
<th><b>Offset</b></th>
<th><b>Station</b></th>
<th><b>Annotation</b></th>

</tr>

<xsl:for-each select="//hexagon:ApplicationRefLineStakeout"><!-- This starts the outer loop based on Ref Line Staked Point occurances.-->

<xsl:variable name="designht" select="@RefLineDesignPointOrthoHt"/> <!-- Declares variables.-->
<xsl:variable name="stakedID" select="@RefLineStakePointID"/>
<xsl:variable name="stakedOffset" select="@RefLineMeasStkOffset"/>
<xsl:variable name="stakedChainage" select="@RefLineMeasStkChainage"/>

<tr>	

<xsl:for-each select="//hexagon:Point"><!-- This starts the loop based on stored Point occurances.-->

<xsl:if test="@uniqueID= $stakedID"><!-- Checks if Staked Point ID matches Point ID.  Needed to get further information about the points.-->	

<td><xsl:value-of select="$stakedID"/></td>

<xsl:for-each select="hexagon:Coordinates"><!-- Start loop to get ortho height.-->
<xsl:for-each select="hexagon:Local">
<xsl:for-each select="hexagon:Grid">

<xsl:variable name="stakedht" select="@hghthO"/> 

<td><xsl:value-of select='format-number(@hghthO, "#.000")'/></td>

<xsl:variable name="heightdifference" select="$stakedht - $designht"/> <!-- Subtracts design height from staked height.-->	

<xsl:choose><!-- tests if height difference is a negative or postive figure to work out if cut or fill.-->
<xsl:when test="$heightdifference &lt;0">
<td><b><xsl:text>F </xsl:text><xsl:value-of select='format-number($heightdifference, "#0.000;#0.000")'/></b></td>
</xsl:when>
<xsl:when test="$heightdifference &gt;0">
<td><b><xsl:text>C </xsl:text><xsl:value-of select='format-number($heightdifference, "#0.000;#0.000")'/></b></td>
</xsl:when>
<xsl:otherwise>
<td><b><xsl:value-of select='format-number($heightdifference, "#0.000")'/></b></td>
</xsl:otherwise>
</xsl:choose>

</xsl:for-each>
</xsl:for-each>
</xsl:for-each><!-- This ends the loop to get ortho height.-->

<td><xsl:value-of select='format-number($designht, "#.000")'/></td>
<td><xsl:value-of select='format-number($stakedOffset, "#0.000")'/></td>
<td><b><xsl:value-of select='format-number($stakedChainage, "####0.###")'/></b></td>

<xsl:for-each select="hexagon:Annotations"><!-- This starts the loop based on Annotations.-->

<td><xsl:value-of select="@annotation1"/></td>
</xsl:for-each><!-- This ends the annotations loop.-->

</xsl:if>

</xsl:for-each><!-- This ends the loop to get Point occurances.-->

</tr>

</xsl:for-each><!-- This ends the outer loop to get RefLine results.-->

</table>

</body>  
</html>
  
</xsl:template>

</xsl:stylesheet>