<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:landxml="http://www.landxml.org/schema/LandXML-1.2" xmlns:hexagon="http://xml.hexagon.com/schema/HeXML-1.6" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" version="1.0" omit-xml-declaration="yes"/>
																						
<!-- This stylesheet will output SmartWorx Viva GNSS points into GPX format.   -->
                                                                                      
<xsl:variable name="XML" select="/"/>
<xsl:variable name="fileExt" select="'gpx'"/>
<xsl:variable name="fileDesc" select="'Output point name, WGS84 lat, WGS84 long, WGS84 Ell ht in GPX format.'"/>

<xsl:template match="/" >

<xsl:value-of select="'&lt;?xml version=&quot;1.0&quot; encoding=&quot;ISO-8859-1&quot; standalone=&quot;yes&quot;?&gt;'"/>
<xsl:text>&#10;</xsl:text>
<xsl:value-of select="'&lt;gpx '"/>
<xsl:value-of select="'xmlns=&quot;http://www.leicageoystems.com&quot;'"/>
<xsl:value-of select="'version=&quot;1.1&quot;'"/>
<xsl:value-of select="'creator=&quot;A Leica Viva User&quot;'"/>
<xsl:value-of select="'xmlns:xsi=&quot;http://www.leicageosystems.com&quot;'"/>
<xsl:value-of select="'xsi:schemaLocation=&quot;http://www.leicageosystems.com&quot;&gt;'"/>
<xsl:text>&#10;</xsl:text>
<xsl:value-of select="'&lt;metadata&gt;'"/>
<xsl:value-of select="'&lt;link href=&quot;http://www.leicageosystems.com&quot;&gt;'"/>
<xsl:value-of select="'&lt;text&gt; Leica Geosystems AG.&lt;/text&gt;'"/>
<xsl:value-of select="'&lt;/link&gt;'"/>
<xsl:value-of select="'&lt;/metadata&gt;'"/>
<xsl:text>&#10;</xsl:text>


<xsl:element name="newelement">

<xsl:attribute name="newattribute">classvalue</xsl:attribute>

<xsl:copy-of select="//landxml:CgPoint/@name" />

<xsl:attribute name="newattribute2">classvalue</xsl:attribute>

<xsl:copy-of select="//hexagonLandXML:Point/@class" />

</xsl:element> 



		
<xsl:for-each select="$XML">
	<xsl:for-each select="landxml:LandXML">
		<xsl:for-each select="landxml:Survey">
			<xsl:for-each select="landxml:GPSSetup">
				<xsl:for-each select="landxml:GPSPosition">
					<xsl:value-of select="concat('&lt;wpt lat=&quot;', @wgsLatitude, '&quot; lon=&quot;', @wgsLongitude, '&quot;&gt;')"/>
					<xsl:value-of select="concat('        &lt;ele&gt;', @wgsHeight, '&lt;/ele&gt;')"/>
					<xsl:value-of select="concat('        &lt;name&gt;', @pntRef, '&lt;/name&gt;')"/>
					<xsl:value-of select="'    &lt;/wpt&gt;'"/>	
					<xsl:text>&#10;</xsl:text>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:for-each>
</xsl:for-each>

<xsl:value-of select="'&lt;/gpx&gt;'"/>

</xsl:template>

</xsl:stylesheet>